--- old/exception_lists/packaging	2012-06-12 19:54:33.122508956 +0200
+++ new/exception_lists/packaging	2012-06-12 19:54:33.180842654 +0200
@@ -358,8 +358,6 @@
 usr/include/sys/net80211_proto.h
 usr/include/sys/net80211.h
 #
-usr/include/net/wpa.h
-#
 # PPPoE files not delivered to customers.
 #
 usr/include/net/pppoe.h
--- old/usr/src/Makefile.lint	2012-06-12 19:54:34.699965739 +0200
+++ new/usr/src/Makefile.lint	2012-06-12 19:54:34.723836845 +0200
@@ -79,7 +79,6 @@
 	cmd/cmd-inet/usr.lib/pppoe \
 	cmd/cmd-inet/usr.lib/slpd \
 	cmd/cmd-inet/usr.lib/vrrpd \
-	cmd/cmd-inet/usr.lib/wpad \
 	cmd/cmd-inet/usr.lib/wanboot \
 	cmd/cmd-inet/usr.sadm \
 	cmd/cmd-inet/usr.sbin \
--- old/usr/src/cmd/Makefile.check	2012-06-12 19:54:35.855666683 +0200
+++ new/usr/src/cmd/Makefile.check	2012-06-12 19:54:35.879456730 +0200
@@ -92,7 +92,7 @@
 	cmd-inet/usr.lib/mdnsd		\
 	cmd-inet/usr.lib/slpd		\
 	cmd-inet/usr.lib/vrrpd		\
-	cmd-inet/usr.lib/wpad		\
+	cmd-inet/usr.lib/wpa_supplicant	\
 	cmd-inet/usr.sbin		\
 	cmd-inet/usr.sbin/in.ftpd	\
 	cmd-inet/usr.sbin/in.rdisc	\
--- old/usr/src/cmd/cmd-inet/lib/nwamd/known_wlans.c	2012-06-12 19:54:36.774284973 +0200
+++ new/usr/src/cmd/cmd-inet/lib/nwamd/known_wlans.c	2012-06-12 19:54:36.797938701 +0200
@@ -275,8 +275,8 @@
 			nlog(LOG_DEBUG, "find_secobj_matching_prefix: "
 			    "got WEP key %s", nsa->nsa_keyname);
 			break;
-		case DLADM_SECOBJ_CLASS_WPA:
-			nsa->nsa_secmode = DLADM_WLAN_SECMODE_WPA;
+		case DLADM_SECOBJ_CLASS_PSK:
+			nsa->nsa_secmode = DLADM_WLAN_SECMODE_PSK;
 			nlog(LOG_DEBUG, "find_secobj_matching_prefix: "
 			    "got WPA key %s", nsa->nsa_keyname);
 			break;
--- old/usr/src/cmd/cmd-inet/lib/nwamd/ncu_phys.c	2012-06-12 19:54:37.804472336 +0200
+++ new/usr/src/cmd/cmd-inet/lib/nwamd/ncu_phys.c	2012-06-12 19:54:37.828329385 +0200
@@ -218,12 +218,17 @@
 	free(hwaddr);
 }
 
+/* not used */
 #define	WLAN_ENC(sec)						\
-	((sec == DLADM_WLAN_SECMODE_WPA ? "WPA" : 		\
+	((sec == DLADM_WLAN_SECMODE_PSK ? "WPA" : 		\
 	(sec == DLADM_WLAN_SECMODE_WEP ? "WEP" : "none")))
 
+/*
+ * NEED_END should return false and when DLADM_WLAN_AUTH_NONE is set
+ * (key_mgmt=NONE in wpa_s conf) (!not key_mgmt=WPA-NONE)
+ */
 #define	NEED_ENC(sec)						\
-	(sec == DLADM_WLAN_SECMODE_WPA || sec == DLADM_WLAN_SECMODE_WEP)
+	(sec == DLADM_WLAN_SECMODE_PSK || sec == DLADM_WLAN_SECMODE_WEP)
 
 #define	WIRELESS_LAN_INIT_COUNT	8
 
@@ -301,7 +306,7 @@
 	nlog(LOG_DEBUG, "after: key_string_to_secobj_value: buf_len = %d",
 	    buf_len);
 
-	if (class == DLADM_SECOBJ_CLASS_WPA) {
+	if (class == DLADM_SECOBJ_CLASS_PSK) {
 		/*
 		 * Per IEEE802.11i spec, the Pre-shared key (PSK) length should
 		 * be between 8 and 63.
@@ -428,7 +433,7 @@
 	nlog(LOG_DEBUG, "store_key: obj_name is %s", obj_name);
 
 	class = (security_mode == DLADM_WLAN_SECMODE_WEP ?
-	    DLADM_SECOBJ_CLASS_WEP : DLADM_SECOBJ_CLASS_WPA);
+	    DLADM_SECOBJ_CLASS_WEP : DLADM_SECOBJ_CLASS_PSK);
 	if (key_string_to_secobj_value(raw_key, obj_val, &obj_len,
 	    class) != 0) {
 		/* above function logs internally on failure */
@@ -573,8 +578,8 @@
 			if (security_mode == DLADM_WLAN_SECMODE_WEP)
 				return (cooked_key);
 			break;
-		case DLADM_SECOBJ_CLASS_WPA:
-			if (security_mode == DLADM_WLAN_SECMODE_WPA)
+		case DLADM_SECOBJ_CLASS_PSK:
+			if (security_mode == DLADM_WLAN_SECMODE_PSK)
 				return (cooked_key);
 			break;
 		default:
@@ -590,6 +595,8 @@
 		return (NULL);
 	}
 
+	cooked_key->wk_class = class;
+
 	return (cooked_key);
 }
 
@@ -1474,7 +1481,7 @@
 
 	scanconnect_entry();
 	status = dladm_wlan_connect(dld_handle, link_id, attrp,
-	    DLADM_WLAN_CONNECT_TIMEOUT_DEFAULT, key, keycount, flags);
+	    DLADM_WLAN_CONNECT_TIMEOUT_DEFAULT, key, keycount, flags, NULL);
 	scanconnect_exit();
 
 	nlog(LOG_DEBUG, "nwamd_do_connect: dladm_wlan_connect returned %s",
@@ -1585,8 +1592,7 @@
 
 	nwamd_object_release(ncu_obj);
 
-	status = do_connect(link_id, &attr, key, keycount,
-	    DLADM_WLAN_CONNECT_NOSCAN);
+	status = do_connect(link_id, &attr, key, keycount, 0);
 	if (status != DLADM_STATUS_OK) {
 		/* Connect failed, try autoconf */
 		if (!wireless_autoconf || (status = do_connect(link_id, &attr,
--- old/usr/src/cmd/cmd-inet/usr.lib/Makefile	2012-06-12 19:54:39.825821553 +0200
+++ new/usr/src/cmd/cmd-inet/usr.lib/Makefile	2012-06-12 19:54:39.849338727 +0200
@@ -26,7 +26,7 @@
 SUBDIRS=	bridged dhcp dsvclockd ilbd in.chargend in.daytimed \
 		in.discardd in.echod in.dhcpd in.mpathd in.ndpd \
 		in.ripngd in.timed inetd mdnsd ncaconfd pppoe \
-		slpd vrrpd wanboot wpad
+		slpd vrrpd wanboot wpa_supplicant
 
 MSGSUBDIRS=	dsvclockd ilbd in.dhcpd inetd ncaconfd vrrpd wanboot
 
--- /dev/null	2012-06-12 19:54:40.000000000 +0200
+++ new/usr/src/cmd/cmd-inet/usr.lib/wpa_supplicant/Makefile	2012-06-12 19:54:40.962330722 +0200
@@ -0,0 +1,52 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright 2012 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+include	../../../Makefile.cmd
+
+SUBDIR=		wpa_supplicant
+MANIFEST =	wpa_supplicant.xml
+
+ROOTMANIFESTDIR = $(ROOTSVCNETWORK)
+
+all:=		TARGET= all
+install:=	TARGET= install
+clean:=		TARGET= clean
+clobber:=	TARGET= clobber
+
+.KEEP_STATE:
+
+all lint clean clobber:	$(SUBDIR)
+
+include ../Makefile.lib
+
+install:	$(SUBDIR) $(ROOTMANIFEST)
+
+check:		$(CHKMANIFEST)
+
+$(SUBDIR):	FRC
+		@cd $@; pwd; $(MAKE) $(TARGET)
+
+FRC:
+
+include ../../../Makefile.targ
--- /dev/null	2012-06-12 19:54:41.000000000 +0200
+++ new/usr/src/cmd/cmd-inet/usr.lib/wpa_supplicant/wpa_supplicant/Makefile	2012-06-12 19:54:41.411541237 +0200
@@ -0,0 +1,86 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/../src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/../src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright 2012 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+PROG =		wpa_supplicant
+OBJS =		config.o notify.o bss.o eap_register.o ../src/utils/common.o \
+../src/utils/wpa_debug.o ../src/utils/wpabuf.o ../src/utils/os_unix.o \
+../src/utils/eloop.o config_file.o ../src/rsn_supp/wpa.o \
+../src/rsn_supp/preauth.o ../src/rsn_supp/pmksa_cache.o \
+../src/rsn_supp/peerkey.o ../src/rsn_supp/wpa_ie.o ../src/common/wpa_common.o \
+../src/eap_peer/eap_tls.o ../src/eap_peer/eap_peap.o \
+../src/eap_common/eap_peap_common.o ../src/eap_peer/eap_ttls.o \
+../src/eap_peer/eap_md5.o ../src/eap_peer/eap_mschapv2.o \
+../src/eap_peer/mschapv2.o ../src/eapol_supp/eapol_supp_sm.o \
+../src/eap_peer/eap.o ../src/eap_peer/eap_methods.o ../src/crypto/ms_funcs.o \
+../src/eap_common/chap.o ../src/eap_peer/eap_tls_common.o \
+../src/crypto/tls_openssl.o ../src/crypto/crypto_openssl.o \
+../src/crypto/aes-unwrap.o ../src/crypto/md5.o ../src/crypto/random.o \
+ctrl_iface.o ctrl_iface_unix.o ../src/utils/base64.o \
+../src/eap_common/eap_common.o ../src/crypto/sha1.o ../src/crypto/sha1-pbkdf2.o \
+../src/crypto/sha1-tlsprf.o ../src/drivers/driver_common.o wpa_supplicant.o \
+events.o blacklist.o wpas_glue.o scan.o main.o ../src/drivers/driver_solaris.o \
+../src/drivers/drivers.o ../src/l2_packet/l2_packet_solaris.o
+
+SRCS = 		$(OBJS:%.o=%.c)
+
+LINTME =	../src/drivers/driver_solaris.c
+
+include	../../../../Makefile.cmd
+
+MSGFILES=	$(OBJS)
+
+C99MODE =	$(C99_ENABLE)
+CFLAGS += 	-I../src -I../src/utils
+CFLAGS += 	-DCONFIG_BACKEND_FILE \
+ -DCONFIG_DRIVER_SOLARIS -DEAP_TLS -DEAP_PEAP -DEAP_TTLS -DEAP_MD5 \
+ -DEAP_MSCHAPv2 -DIEEE8021X_EAPOL -DPKCS12_FUNCS -DCONFIG_SMARTCARD \
+ -DEAP_TLS_OPENSSL -DCONFIG_CTRL_IFACE -DCONFIG_CTRL_IFACE_UNIX \
+ -DCONFIG_DEBUG_SYSLOG -DLOG_HOSTAPD="LOG_DAEMON" -DCONFIG_DEBUG_FILE
+
+LDLIBS += 	-lsocket -ldlpi -ldladm
+
+all install := LDLIBS += -lcrypto -lssl
+
+LINTFLAGS += 	-u
+
+.KEEP_STATE:
+
+all:		$(PROG)
+
+%.o:		%.c
+		$(COMPILE.c) -o $@ $<
+
+$(PROG):	$(OBJS)
+		$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
+		$(POST_PROCESS)
+
+
+include ../../Makefile.lib
+
+install:	all $(ROOTLIBINETPROG)
+
+clean:
+		$(RM) $(OBJS)
+
+include ../../../../Makefile.targ
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	2012-06-12 19:54:41.616637020 +0200
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	2012-06-12 19:54:41.640497653 +0200
@@ -68,11 +68,11 @@
 SUBDIRS=	bootconfchk htable ifconfig ilbadm in.ftpd in.rdisc in.routed \
 		in.talkd inetadm inetconv ipadm ipmpstat ipqosconf ipsecutils \
 		kssl/kssladm kssl/ksslcfg nwamadm nwamcfg ping routeadm \
-		snoop sppptun traceroute wificonfig
+		snoop sppptun traceroute
 
 MSGSUBDIRS=	bootconfchk htable ifconfig ilbadm in.ftpd in.routed in.talkd \
 		inetadm inetconv ipadm ipmpstat ipqosconf ipsecutils \
-		kssl/ksslcfg nwamadm nwamcfg routeadm sppptun snoop wificonfig
+		kssl/ksslcfg nwamadm nwamcfg routeadm sppptun snoop
 
 # As programs get lint-clean, add them here and to the 'lint' target.
 # Eventually this hack should go away, and all in PROG should be
@@ -86,8 +86,7 @@
 # for the lint rule.
 LINTSUBDIRS=	bootconfchk ilbadm in.rdisc in.routed in.talkd inetadm \
 		inetconv ipmpstat ipqosconf ipsecutils kssl/kssladm \
-		kssl/ksslcfg nwamadm nwamcfg ping routeadm sppptun traceroute \
-		wificonfig
+		kssl/ksslcfg nwamadm nwamcfg ping routeadm sppptun traceroute
 # And as programs are verified not to attempt to write into constants,
 # -xstrconst should be used to ensure they stay that way.
 CONSTCLEAN=
--- old/usr/src/cmd/dladm/dladm.c	2012-06-12 19:54:42.534757661 +0200
+++ new/usr/src/cmd/dladm/dladm.c	2012-06-12 19:54:42.585653814 +0200
@@ -290,8 +290,8 @@
 	{ "scan-wifi",		do_scan_wifi,
 	    "    scan-wifi        [-p] [-o <field>,...] [<link>]"	},
 	{ "connect-wifi",	do_connect_wifi,
-	    "    connect-wifi     [-e <essid>] [-i <bssid>] [-k <key>,...] "
-	    "[-s wep|wpa]\n"
+	    "    connect-wifi     [-e <essid>] [-i <bssid>] [-k <key>,...]\n"
+	    "\t\t     [-s wep|wpa] [-u <username>]\n"
 	    "\t\t     [-a open|shared] [-b bss|ibss] [-c] [-m a|b|g] "
 	    "[-T <time>]\n"
 	    "\t\t     [<link>]"						},
@@ -6264,10 +6264,11 @@
 	uint_t			flags = 0;
 	dladm_wlan_secmode_t	keysecmode = DLADM_WLAN_SECMODE_NONE;
 	char			buf[DLADM_STRSIZE];
+	char			identity[128];
 
 	opterr = 0;
 	(void) memset(&attr, 0, sizeof (attr));
-	while ((option = getopt_long(argc, argv, ":e:i:a:m:b:s:k:T:c",
+	while ((option = getopt_long(argc, argv, ":e:i:a:m:b:s:k:u:T:c",
 	    wifi_longopts, NULL)) != -1) {
 		switch (option) {
 		case 'e':
@@ -6276,10 +6277,6 @@
 				die("invalid ESSID '%s'", optarg);
 
 			attr.wa_valid |= DLADM_WLAN_ATTR_ESSID;
-			/*
-			 * Try to connect without doing a scan.
-			 */
-			flags |= DLADM_WLAN_CONNECT_NOSCAN;
 			break;
 		case 'i':
 			status = dladm_wlan_str2bssid(optarg, &attr.wa_bssid);
@@ -6324,8 +6321,14 @@
 
 			if (keys[0].wk_class == DLADM_SECOBJ_CLASS_WEP)
 				keysecmode = DLADM_WLAN_SECMODE_WEP;
+			else if (keys[0].wk_class == DLADM_SECOBJ_CLASS_PSK)
+				keysecmode = DLADM_WLAN_SECMODE_PSK;
 			else
-				keysecmode = DLADM_WLAN_SECMODE_WPA;
+				keysecmode = DLADM_WLAN_SECMODE_EAP;
+			break;
+		case 'u':
+			if (snprintf(identity, 131, "\"%s\"", optarg) <= 0)
+				die("invalid username", optarg);
 			break;
 		case 'T':
 			if (strcasecmp(optarg, "forever") == 0) {
@@ -6346,14 +6349,17 @@
 	}
 
 	if (keysecmode == DLADM_WLAN_SECMODE_NONE) {
-		if ((attr.wa_valid & DLADM_WLAN_ATTR_SECMODE) != 0) {
+		if ((attr.wa_valid & DLADM_WLAN_ATTR_SECMODE) != 0)
 			die("key required for security mode '%s'",
 			    dladm_wlan_secmode2str(&attr.wa_secmode, buf));
-		}
 	} else {
 		if ((attr.wa_valid & DLADM_WLAN_ATTR_SECMODE) != 0 &&
 		    attr.wa_secmode != keysecmode)
 			die("incompatible -s and -k options");
+		if ((keysecmode == DLADM_WLAN_SECMODE_EAP) != 0 &&
+		    identity == NULL)
+			die("username (-u) required for security mode '%s'",
+			    dladm_wlan_secmode2str(&attr.wa_secmode, buf));
 		attr.wa_valid |= DLADM_WLAN_ATTR_SECMODE;
 		attr.wa_secmode = keysecmode;
 	}
@@ -6384,17 +6390,9 @@
 		linkid = wcattr.wc_linkid;
 	}
 	attrp = (attr.wa_valid == 0) ? NULL : &attr;
-again:
-	if ((status = dladm_wlan_connect(handle, linkid, attrp, timeout, keys,
-	    key_count, flags)) != DLADM_STATUS_OK) {
-		if ((flags & DLADM_WLAN_CONNECT_NOSCAN) != 0) {
-			/*
-			 * Try again with scanning and filtering.
-			 */
-			flags &= ~DLADM_WLAN_CONNECT_NOSCAN;
-			goto again;
-		}
 
+	if ((status = dladm_wlan_connect(handle, linkid, attrp, timeout, keys,
+	    key_count, flags, identity)) != DLADM_STATUS_OK) {
 		if (status == DLADM_STATUS_NOTFOUND) {
 			if (attr.wa_valid == 0) {
 				die("no wifi networks are available");
@@ -7041,15 +7039,13 @@
 {
 	int error = 0;
 
-	if (class == DLADM_SECOBJ_CLASS_WPA) {
-		if (len < 8 || len > 63)
+	if (class != DLADM_SECOBJ_CLASS_WEP) {
+		if ((class == DLADM_SECOBJ_CLASS_PSK) && (len < 8 || len > 63))
 			return (EINVAL);
 		(void) memcpy(obj_val, buf, len);
 		*obj_lenp = len;
 		return (error);
-	}
-
-	if (class == DLADM_SECOBJ_CLASS_WEP) {
+	} else {
 		switch (len) {
 		case 5:			/* ASCII key sizes */
 		case 13:
--- old/usr/src/cmd/svc/milestone/net-physical	2012-06-12 19:54:49.403998569 +0200
+++ new/usr/src/cmd/svc/milestone/net-physical	2012-06-12 19:54:49.425248563 +0200
@@ -259,17 +259,6 @@
 	[ -n "$inet_failed" ] && warn_failed_ifs "plumb IPv4" "$inet_failed"
 fi
 
-# Run autoconf to connect to a WLAN if the interface is a wireless one
-if [ -x /sbin/wificonfig -a -n "$inet_plumbed" ]; then
-	set -- $inet_plumbed
-	while [ $# -gt 0 ]; do
-			if [ -r /dev/wifi/$1 ]; then
-				/sbin/wificonfig -i $1 startconf >/dev/null
-			fi
-		shift
-	done
-fi
-
 #
 # Step through the IPv6 interface list and plumb every interface.
 # Generate list of plumbed and failed IPv6 interfaces.  Each plumbed
--- old/usr/src/lib/libdladm/Makefile	2012-06-12 19:54:51.625722628 +0200
+++ new/usr/src/lib/libdladm/Makefile	2012-06-12 19:54:51.649221148 +0200
@@ -37,9 +37,9 @@
 $(BUILD64)SUBDIRS += $(MACH64)
 
 POFILE =	libdladm.po
-MSGFILES =	common/libdladm.c common/linkprop.c common/secobj.c	\
-		common/libdllink.c common/libdlaggr.c	\
-		common/libdlwlan.c common/libdlvnic.c	\
+MSGFILES =	common/libdladm.c common/linkprop.c common/secobj.c \
+		common/libdllink.c common/libdlaggr.c common/wpa_ie.c	\
+		common/wpa_if.c common/libdlwlan.c common/libdlvnic.c	\
 		common/libdlvlan.c common/libdlmgmt.c	\
 		common/flowattr.c common/flowprop.c	\
 		common/propfuncs.c common/libdlflow.c	\
--- old/usr/src/lib/libdladm/Makefile.com	2012-06-12 19:54:52.394883212 +0200
+++ new/usr/src/lib/libdladm/Makefile.com	2012-06-12 19:54:52.418447802 +0200
@@ -24,8 +24,8 @@
 
 LIBRARY = libdladm.a
 VERS    = .1
-OBJECTS = libdladm.o secobj.o linkprop.o libdllink.o libdlaggr.o \
-	libdlwlan.o libdlvnic.o libdlmgmt.o libdlvlan.o	libdlib.o\
+OBJECTS = libdladm.o secobj.o linkprop.o libdllink.o libdlaggr.o wpa_ie.o \
+	wpa_if.o libdlwlan.o libdlvnic.o libdlmgmt.o libdlvlan.o libdlib.o\
 	flowattr.o flowprop.o propfuncs.o libdlflow.o libdlstat.o \
 	usage.o libdlether.o libdlsim.o libdlbridge.o libdliptun.o
 
--- old/usr/src/lib/libdladm/common/libdladm.h	2012-06-12 19:54:53.150888451 +0200
+++ new/usr/src/lib/libdladm/common/libdladm.h	2012-06-12 19:54:53.174058640 +0200
@@ -181,6 +181,14 @@
 	DLADM_TYPE_UINT64
 } dladm_datatype_t;
 
+typedef enum {
+	DLADM_SECOBJ_CLASS_WEP = 0,
+	DLADM_SECOBJ_CLASS_PSK,
+	DLADM_SECOBJ_CLASS_TLS,
+	DLADM_SECOBJ_CLASS_TTLS,
+	DLADM_SECOBJ_CLASS_PEAP
+} dladm_secobj_class_t;
+
 typedef struct {
 	boolean_t	ds_readonly;
 	union {
--- old/usr/src/lib/libdladm/common/libdllink.h	2012-06-12 19:54:54.035583437 +0200
+++ new/usr/src/lib/libdladm/common/libdllink.h	2012-06-12 19:54:54.059327315 +0200
@@ -81,10 +81,6 @@
  */
 #define	DLADM_PROP_VAL_MAX	128
 
-#define		DLADM_SECOBJ_CLASS_WEP	0
-#define		DLADM_SECOBJ_CLASS_WPA	1
-typedef int	dladm_secobj_class_t;
-
 typedef int (dladm_walkcb_t)(const char *, void *);
 
 /* possible flags for ma_flags below */
